<?php
defined('BASEPATH') or exit('No direct script access allowed');

class ControllerKasProdukKoperasi extends CI_Controller
{

    public function __construct()
    {
        parent::__construct();
        //validasi jika user belum login
        check_not_login();
        if ($this->session->userdata('level') != 3) {
            redirect();
        }
        $this->set_timezone();
        $this->load->library('encrypt');
        $this->load->library('form_validation');
        $this->load->library('Mycustom');
        $this->load->library('pdfgenerator');
        $this->load->library('Notifikasi');
        $this->load->model('bagian_keuangan/insert_model');
        $this->load->model('bagian_keuangan/select_model');
        $this->load->model('bagian_keuangan/update_model');
    }
    public function set_timezone()
    {
        date_default_timezone_set("Asia/Jakarta");
    }

    public function index()
    {
        $notif = $this->notifikasi->notif_keuangan();
        // Data Login
        $data_login            = $this->userlogin->user_login(); // Menampilkan siapa yang login
        $data_id_login         = $this->session->userdata('isloggedin'); // Menampilkan data session
        // Data Isian Konten
        // Query SQL Data atau isi data page 
        // Menampilkan saldo pertama koperasi  
        $saldo_masuk_harian        = $this->select_model->vd_TagihanKoperasiHarian(); // Menampilkan saldo pertama koperasi
        $saldo_masuk_bulanan       = $this->select_model->vd_TagihanKoperasiBulanan(); // Menampilkan Penambahan saldo anggaran dasar koperasi
        $saldo_keluar_harian       = $this->select_model->vd_RealisasiKoperasiHarian(); // Menampilkan Pengurangan saldo anggaran dasar koperasi
        $saldo_keluar_bulanan      = $this->select_model->vd_RealisasiKoperasiBulanan(); // Menampilkan Pengurangan saldo anggaran dasar koperasi
        $transaksi_bulanan         = $this->select_model->vd_transaksiKoperasiBulananTerima(); // Menampilkan perubahan dan history perubahan anggaran dasar koperasi
        $detail_transaksi_bulanan  = $this->select_model->vd_detailTransaksiKoperasiBulanan(); // Menampilkan perubahan dan history perubahan anggaran dasar koperasi
        // Menampilkan tahun tersedia di KAS
        $tampil_tahun              = $this->select_model->getDataTahunTransaksi();
        // Menampilkan data Pokok Pinjaman, Admin dan RK, Biaya Jasa, dan simpanan sudah bayar
        $jml_pokok                 = $this->select_model->vd_kembaliPokokPinjaman();
        $jml_adminrk               = $this->select_model->vd_omsetAdminRKPinjaman();
        $jml_jasa                  = $this->select_model->vd_omsetJasaPinjaman();
        $jml_simpanan              = $this->select_model->vd_simpananAnggotaKoperasiPinjaman();
        // echo '<pre>';
        // var_dump($jml_pokok, $jml_adminrk, $jml_jasa, $jml_simpanan);
        // die;
        $data = array(
            // Untuk memanggil halaman sesuai menu
            'folder'              => 'kas/produk_koperasi',
            'page'                => 'index',
            'judul'               => 'Kelola Kas Pinjaman Koperasi || Bagian Keuangan',
            'data_id_login'       => $data_id_login,
            'data_login'          => $data_login,
            'notif'               => $notif,
            // Isi data
            'masuk_harian'        => $saldo_masuk_harian,
            'masuk_bulanan'       => $saldo_masuk_bulanan,
            'keluar_harian'       => $saldo_keluar_harian,
            'keluar_bulanan'      => $saldo_keluar_bulanan,
            'history_transaksi'   => $transaksi_bulanan,
            'dhistory_transaksi'  => $detail_transaksi_bulanan,
            'tampil_tahun'        => $tampil_tahun,
            'jml_pokok_masuk'     => $jml_pokok,
            'jml_adminrk_masuk'   => $jml_adminrk,
            'jml_jasa_masuk'      => $jml_jasa,
            'jml_simpanan_masuk'  => $jml_simpanan
        );
        $this->load->view('keuangan/index', $data);
    }
    public function lihat_tanggal()
    {
        // NOtifikasi
        $notif = $this->notifikasi->notif_keuangan();
        // End_notifikasi 
        if (isset($_POST['filterTransaksiKasTanggal'])) {
            // Data Login
            $bulan                 = htmlspecialchars($this->input->post('bulan_transaksi'));
            $tahun                 = htmlspecialchars($this->input->post('tahun_transaksi'));
            $data_login            = $this->userlogin->user_login();
            $data_id_login         = $this->session->userdata('isloggedin');
            // Data Isian Konten
            // Query SQL Data atau isi data page
            $saldo_masuk_bulanan       = $this->select_model->vd_TagihanKoperasiBulananFilter($bulan, $tahun); // Menampilkan Penambahan saldo anggaran dasar koperasi
            $saldo_keluar_bulanan      = $this->select_model->vd_RealisasiKoperasiBulananFilter($bulan, $tahun); // Menampilkan Pengurangan saldo anggaran dasar koperasi
            $transaksi_bulanan         = $this->select_model->vd_transaksiKoperasiBulananTerimaFilter($bulan, $tahun); // Menampilkan perubahan dan history perubahan anggaran dasar koperasi
            $detail_transaksi_bulanan  = $this->select_model->vd_detailTransaksiKoperasiBulanan(); // Menampilkan perubahan dan history perubahan anggaran dasar koperasi
            // Menampilkan tahun tersedia di KAS
            $tampil_tahun              = $this->select_model->getDataTahunTransaksi();
            // Menampilkan data Pokok Pinjaman, Admin dan RK, Biaya Jasa, dan simpanan sudah bayar
            $jml_pokok                 = $this->select_model->vd_kembaliPokokPinjamanFilter($bulan, $tahun);
            $jml_adminrk               = $this->select_model->vd_omsetAdminRKPinjamanFilter($bulan, $tahun);
            $jml_jasa                  = $this->select_model->vd_omsetJasaPinjamanFilter($bulan, $tahun);
            $jml_simpanan              = $this->select_model->vd_simpananAnggotaKoperasiPinjamanFilter($bulan, $tahun);
            // echo '<pre>';
            // var_dump($jml_pokok, $jml_adminrk, $jml_jasa, $jml_simpanan);
            // die;
            $data = array(
                // Untuk memanggil halaman sesuai menu
                'folder'              => 'kas/produk_koperasi',
                'page'                => 'filter',
                'judul'               => 'Kelola Kas Pinjaman Koperasi || Bagian Keuangan',
                'data_id_login'       => $data_id_login,
                'data_login'          => $data_login,
                'notif'               => $notif,
                // Isi data
                'masuk_bulanan'       => $saldo_masuk_bulanan,
                'keluar_bulanan'      => $saldo_keluar_bulanan,
                'history_transaksi'   => $transaksi_bulanan,
                'dhistory_transaksi'  => $detail_transaksi_bulanan,
                'tampil_tahun'        => $tampil_tahun,
                'jml_pokok_masuk'     => $jml_pokok,
                'jml_adminrk_masuk'   => $jml_adminrk,
                'jml_jasa_masuk'      => $jml_jasa,
                'jml_simpanan_masuk'  => $jml_simpanan,
                'bulan'               => $bulan,
                'tahun'               => $tahun
            );
            $this->load->view('keuangan/index', $data);
        }
    }
}

/* End of file ControllerKasProdukKoperasi.php and path \application\controllers\keuangan\kas\ControllerKasProdukKoperasi.php */